Groovy Documentation

## org.codehaus.groovy.binding
[Java] Interface FullBinding

    org.codehaus.groovy.binding.BindingUpdatable
      org.codehaus.groovy.binding.FullBinding

All Superinterfaces:
  BindingUpdatable

    public interface FullBinding
    extends BindingUpdatable

Authors:
  Danno Ferrin

Version:
  \$Revision\$

Since:
  Groovy 1.1

Method Summary
`Closure` | `getConverter()`
`Closure` | `getReverseConverter()`
`SourceBinding` | `getSourceBinding()`
`TargetBinding` | `getTargetBinding()`
`Closure` | `getValidator()`
`void` | `setConverter(Closure converter)`
`void` | `setReverseConverter(Closure reverseConverter)`
`void` | `setSourceBinding(SourceBinding source)`
`void` | `setTargetBinding(TargetBinding target)`
`void` | `setValidator(Closure validator)`

Methods inherited from interface BindingUpdatable
bind, rebind, reverseUpdate, unbind, update

Method Detail

### getConverter

    public Closure getConverter()

### getReverseConverter

    public Closure getReverseConverter()

### getSourceBinding

    public SourceBinding getSourceBinding()

### getTargetBinding

    public TargetBinding getTargetBinding()

### getValidator

    public Closure getValidator()

### setConverter

    public void setConverter(Closure converter)

### setReverseConverter

    public void setReverseConverter(Closure reverseConverter)

### setSourceBinding

    public void setSourceBinding(SourceBinding source)

### setTargetBinding

    public void setTargetBinding(TargetBinding target)

### setValidator

    public void setValidator(Closure validator)

Groovy Documentation